Karaf
  1. Karaf
  2. KARAF-1604

Upgrade to maven-assembly-plugin 2.3

    Details

    • Type: Dependency upgrade Dependency upgrade
    • Status: Closed
    • Priority: Major Major
    • Resolution: Won't Fix
    • Affects Version/s: None
    • Fix Version/s: 2.2.9, 2.3.0, 3.0.0
    • Component/s: karaf-core
    • Labels:
      None

      Issue Links

        Activity

        Hide
        Jamie goodyear added a comment -

        Could you roll this back to 2.2.1?

        Rolling back to this version and manually removing archetypes/assembly/target from my build allows karaf-2.2.x to remain building properly.

        Error found on:
        Mac OSX 10.7.4

        Show
        Jamie goodyear added a comment - Could you roll this back to 2.2.1? Rolling back to this version and manually removing archetypes/assembly/target from my build allows karaf-2.2.x to remain building properly. Error found on: Mac OSX 10.7.4
        Hide
        Jean-Baptiste Onofré added a comment -

        Yes, I'm rollbacking. It's a pita

        Show
        Jean-Baptiste Onofré added a comment - Yes, I'm rollbacking. It's a pita
        Hide
        Jean-Baptiste Onofré added a comment -

        We can't upgrade to maven-assembly-plugin 2.3 as it breaks the build on MacOS, due to https://jira.codehaus.org/browse/MASSEMBLY-588.

        Show
        Jean-Baptiste Onofré added a comment - We can't upgrade to maven-assembly-plugin 2.3 as it breaks the build on MacOS, due to https://jira.codehaus.org/browse/MASSEMBLY-588 .

          People

          • Assignee:
            Jean-Baptiste Onofré
            Reporter:
            Jean-Baptiste Onofré
          • Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development